#!/usr/bin/make -f

# main packaging script based on dh7 syntax
%:
	dh $@ --with python2

override_dh_auto_install:
	python setup.py install --install-layout=deb --root=$(CURDIR)/debian/diamond

	cp $(CURDIR)/debian/diamond.init $(CURDIR)/debian/diamond/etc/init.d/diamond

	mkdir -p $(CURDIR)/debian/diamond/etc/default
	cp $(CURDIR)/debian/diamond.default $(CURDIR)/debian/diamond/etc/default

	# split program and python module in 2 packages
	mkdir -p $(CURDIR)/debian/python-diamond/usr
	mv $(CURDIR)/debian/diamond/usr/lib $(CURDIR)/debian/python-diamond/usr

	rm $(CURDIR)/debian/diamond/usr/share/diamond/LICENSE
	rm $(CURDIR)/debian/diamond/etc/diamond/diamond.conf.example.windows

	# set in the example config file the user/group we create in the maint scripts
	sed -i '/user =$$/s/$$/ diamond/;/group =$$/s/$$/ diamond/' $(CURDIR)/debian/diamond/etc/diamond/diamond.conf.example

	dh_install -pdiamond debian/diamond.service /lib/systemd/system
